//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Tb_AdmissEmpHist
    {
        public int Id { get; set; }
        public Nullable<int> AdmissionId { get; set; }

        [Display(Name = "Sr.No.")]
   [Required(ErrorMessage = "Name is required")]
        public Nullable<int> SrNo { get; set; }

        [Display(Name = "Position Held")]
        [StringLength(25)]
        public string PositionHeld { get; set; }

  
        [StringLength(15)]
        public string DurationOfExp { get; set; }

        [StringLength(30)]
       [Required(ErrorMessage = "Company is required")]
        public string Company { get; set; }

        [StringLength(30)]
        [Display(Name = "Job Responsibility")]
        public string JobResponsibility { get; set; }

        private Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _status = value;

            }
        }

       //  [DataType(DataType.Date), DisplayFormat(DataFormatString = "{0:dd/MM/yyyy}", ApplyFormatInEditMode = true)]
        public Nullable<System.DateTime> Cdate { get; set; }
        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Fdate { get; set; }

        [DataType(DataType.Date)]
        public Nullable<System.DateTime> Tdate { get; set; }

        public virtual MaAdmission MaAdmission { get; set; }
    }
}
